%define pd_version 0.41.4

%define vasp_revision 3681
%define vasp_version 0.1.4pre
%define vasp_svndate 20090716.133708

Summary: Non-realtime array-based audio data processing for Pd
Name: pd-vasp
Version: 0.1.4
Release: 0.1.svn%{vasp_revision}%{?dist}
Epoch: 1
License: GPL
Group: Applications/Multimedia
URL: http://puredata.info/Members/thomas/vasp/
Source0: vasp-%{vasp_version}-svn%{vasp_revision}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

ExcludeArch: x86_64

Requires: pd-extended >= %{pd_version}

BuildRequires: pd-flext-devel

%description
VASP is a package for PD or Max/MSP consisting of a number of
externals extending these systems with functions for non-realtime
array-based audio data processing. VASP is capable of working in the
background, therefore not influencing eventual dsp signal processing.

%prep
%setup -q -n vasp-%{vasp_version}

%build
# remove all .svn directories
find . -type d -name .svn | xargs %{__rm} -rf

# we need a local copy of the buildsys flext environment so
# we can override the installation directory
(cd %{_libdir}/flext ; tar cf - buildsys build.sh)|tar xpf -

# go and build
SHARED=true ./build.sh pd gcc

%install
%{__rm} -rf %{buildroot}

# install in the right place
%{__perl} -p -i -e "s|/usr|%{buildroot}/usr|g" buildsys/config-lnx-pd-gcc.txt
SHARED=true ./build.sh pd gcc install

# install all .pd files
mkdir -p %{buildroot}%{_libdir}/pd/doc/5.reference/vasp
find . -name \*.pd -exec install -m 0644 {} %{buildroot}%{_libdir}/pd/doc/5.reference/vasp \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc readme.txt changes.txt
%{_libdir}/pd/extra/vasp.pd_linux
%{_libdir}/pd/doc/5.reference/vasp

%changelog
* Wed Jul 22 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- need to add an epoch (previous version was 0.39.x in pd-extended)

* Wed Jul 15 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.1.4pre
- initial build, used to be part of pd-extended
